Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to maximize the application window with lisp?

2 REPLIES 2
Reply
Message 1 of 3
2e4lite
7130 Views, 2 Replies

How to maximize the application window with lisp?

I  often use (startapp "explorer.exe" WZ) to open  an application window ,How to maximize the application window  with  lisp?

2 REPLIES 2
Message 2 of 3
vladimir_michl
in reply to: 2e4lite

There is no super reliable way but you can try something like:

 

(startapp "explorer.exe")
 (setq wsh (vlax-create-object "WScript.Shell"))
 (command "_DELAY" 500)
 (vlax-invoke wsh 'SendKeys "% M") ; X in Czech
 (vlax-release-object wsh)

 Vladimir Michl, www.cadstudio.cz  www.cadforum.cz

 

Message 3 of 3
2e4lite
in reply to: vladimir_michl

  Hi Vladimir Michl ,thanks for your  reply!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost